Subject: RE: [Sipping] RE: SIP INFO method for DTMF

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Mon, 11 Feb 2002 09:26:49 -0800

Hi all,

In response to Tom Taylor's point that a user could flood the control plane
by pressing a key too many times: In our key-events draft
[draft-culpepper-sip-key-events-00.txt], the event indications can simply be
aggregated to maintain a maximum NOTIFY rate.

As an aside, it seems strange to me the number of people that are still very
interested in pushing the signaled-digits draft
[draft-mahy-sipping-signaled-digits-00.txt] - which only supports the
transport of RFC2833/DTMF tones - at a time when we are trying to move away
from PSTN-centric user interfaces!!

The key-events draft is designed to support keyboards, function keys as well
as other device specific buttons (such as a "Double Latte" button). It is
designed to build a framework that will support the breadth and depth of SIP
devices to come (whilst still scaling down to a simple implementation for
devices supporting only simple interfaces - e.g., a telephone dialpad). It
is not reasonable to develop a separate event framework to receive event
notification for every new device that is developed. Signaled-digits does
not scale - it only supports DTMF. To Rohan Mahy's credit, I think this
draft was a great conceptual leap forward from the previous INFO approach
however, I don't think that embedding RFC2833 in NOTIFY's is the correct way
forward.

The SUBSCRIBE/NOTIFY mechanism is essentially the same between the two
drafts except that the key-events drafts tries to address the problem of
associating a subscription with a single endpoint rather than all end-points
on the device. This is essential for the mechanism to be workable on devices
such as SIP PSTN gateways or multi-line SIP phones.

Also, please note: Our hope (that is, the authors of the Key-Events draft)
is that the SIP-Events draft eventually solves this in a consistent manner.
As Bert said, this is only an initial draft and we will update the draft to
keep step with the Events draft and the IETF community.

We are keen to get feedback on what people think about this draft.

Regards, 

Robert.

> -----Original Message-----
> From: Bert Culpepper [mailto:[email-masked]]
> Sent: Monday, February 11, 2002 3:30 PM
> To: 'Alan Johnston'; 'Tom-PT Taylor'; [email-masked];
> [email-masked]
> Subject: RE: [Sipping] RE: SIP INFO method for DTMF
> 
> 
> I agree with the comments below when it's desired to transmit 
> actual tone
> data in an IP network.  If on the other hand, it's desired to 
> have "user
> indications" transmitted to points in the SIP network in 
> addition to the
> endpoints involved in the multi-media session, I believe a 
> suitable approach
> is one myself and a couple of others have proposed.  See
> http://search.ietf.org/internet-drafts/draft-culpepper-sip-key
> -events-00.txt
> . This is an initial draft and if thought worthwhile by the 
> community, will
> be revised as necessary.
> 
> Best regards,
> Bert
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of
> > Alan Johnston
> > Sent: Monday, February 11, 2002 9:39 AM
> > To: 'Tom-PT Taylor'; [email-masked]; 
> [email-masked]
> > Subject: RE: [Sipping] RE: SIP INFO method for DTMF
> >
> >
> > If you must send DTMF over SIP, then the NOTIFY method is preferred.
> > See:
> >
> > http://search.ietf.org/internet-drafts/draft-mahy-sipping-sign
> > aled-digit
> > s-00.txt
> >
> > Thanks,
> > Alan Johnston
> > WorldCom
> > sip:[email-masked]
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > On Behalf Of Tom-PT Taylor
> > > Sent: Monday, February 11, 2002 6:52 AM
> > > To: [email-masked]'; [email-masked]
> > > Subject: [Sipping] RE: SIP INFO method for DTMF
> > >
> > >
> > > The key point to bear in mind is that your architecture has
> > > to make sure someone can't bring down network equipment
> > > simply by pressing their keypad repeatedly.  The INFO method
> > > may produce unacceptably high volumes of messaging on the
> > > signalling path unless filtering is applied at the point 
> of ingress.
> > >
> > > >  -----Original Message-----
> > > > From: 	[email-masked]
> > > > [mailto:[email-masked]]
> > > > Sent:	Monday, February 11, 2002 10:55 AM
> > > > To:	[email-masked]
> > > > Subject:	SIP INFO method for DTMF
> > > >
> > > > IETF SIPPING experts,
> > > >
> > > > 3GPP standards people have been looking at various
> > > potential solutions
> > > > for carrying DTMF in the IP Multimedia Subsystem (IMS).
> > > >
> > > > One such solution is the use of the SIP INFO method.  I
> > > have read the
> > > > expired internet-draft, written by Jiri Kuthan (whom I tried to
> > > > contact first, but the e-mail address was no longer a valid
> > > one) and
> > > > there is support for such a solution in 3GPP.  I was
> > involved in a
> > > > telephone conference last week with other 3GPP delegates,
> > > in which we
> > > > questioned why this draft expired?  Whilst we have
> > highlighted some
> > > > potential problems with using the draft that Jiri wrote,
> > we did at
> > > > least see the INFO method as a feasible option (as well
> > as the RTP
> > > > payload option - I've had a fair amount of e-mail 
> discussion with
> > > > Henning on RFC 2833).
> > > >
> > > > 3GPP may run into problems in the Radio Access Network
> > > (RAN) area if
> > > > we choose the RTP solution for DTMF.  As such, we are 
> considering
> > > > writing an internet-draft on the use of the SIP INFO method
> > > for DTMF.
> > > > However, before doing this, I thought it wise to 'test 
> the water'.
> > > >
> > > > The RTP solution is well documented, and we're currently
> > > looking into
> > > > those RAN issues.  In the meantime, I'm asking for
> > opinions on the
> > > > general concept of using the SIP INFO method for DTMF.
> > > >
> > > >
> > > > Best Regards,
> > > >
> > > > Duncan
> > > >
> > > >
> > > >
> > > >
> > > > Duncan Mills
> > > > UMTS Standards
> > > > Technology Team
> > > > Core Network Development
> > > > Vodafone Ltd (Networks)
> > > >
> > > > Tel:	+44 1635 676074
> > > > Fax:	+44 1635 234445
> > > > mailto:[email-masked]
> > > >
> > >
> > > _______________________________________________
> > > Sipping mailing list  
> https://www1.ietf.org/mailman/listinfo/sipping
> > > This list is for NEW development of the application of SIP
> > > Use [email-masked] for questions on current
> > > sip Use [email-masked] for new developments of core SIP
> > >
> >
> >
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP